Bug 971050 - initial-setup runs to completion on F19-TC1 but does not make any changes
initial-setup runs to completion on F19-TC1 but does not make any changes
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: initial-setup (Show other bugs)
19
arm Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
AcceptedFreezeException
:
Depends On:
Blocks: ARMTracker F19-accepted/F19FinalFreezeException F19ARMBlocker
  Show dependency treegraph
 
Reported: 2013-06-05 10:40 EDT by Dennis Gilmore
Modified: 2013-06-21 22:31 EDT (History)
3 users (show)

See Also:
Fixed In Version: anaconda-19.30.9-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-21 22:31:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-06-05 10:40:43 EDT
Description of problem:
on F19 TC1 arm XFCE image initial-setup started and i set time zone, root password and created a user. after completing  lightdm started and i was unable to login with newly created user, after further examination there was no user created, root password was not set and timezone was not set. there did not seem to be any log of a failure.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Hans de Goede 2013-06-08 18:00:26 EDT
I'm seeing this too, how do we debug this, are there initial-setup logs anywhere ?
Comment 2 Vratislav Podzimek 2013-06-13 09:58:19 EDT
If there was no user created in the Anaconda, the user defined in the I-S should be created. For the other things there are bugs, that the newly set values hide themselves as the values from the installation phase and thus are not applied. Patch fixing these issues has been sent to anaconda-patches.
Comment 3 Dennis Gilmore 2013-06-17 12:23:02 EDT
the kickstart doesn't have defined a timezone, user or root password. they all need to be set in initial-setup. ive set all in inital setup and none of the settings are applied.
Comment 4 Adam Williamson 2013-06-17 15:01:30 EDT
Discussed at 2013-06-17 freeze exception review meeting: http://meetbot.fedoraproject.org/fedora-blocker-review/2013-06-17/f19final-blocker-review-6.2013-06-17-16.01.log.txt . Accepted as a freeze exception issue: this causes considerable inconvenience for the (non-primary) ARM arch pre-built graphical images.
Comment 5 Fedora Update System 2013-06-20 19:37:35 EDT
anaconda-19.30.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/FEDORA-2013-11350/anaconda-19.30.9-1.fc19
Comment 6 Fedora Update System 2013-06-21 22:31:09 EDT
anaconda-19.30.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.